0 Replies Latest reply on Jul 9, 2015 12:34 PM by bars

    Violation of the GPL!

    bars

      When assembling the modules for the kernel version 4.0.7 for x32 error occurred:

       

      2015-Jul-05 14:11:15 :: [x86_64] #100 kernel-modules.git

      sisyphus/kernel-modules-fglrx-un-def-15.101.1001-alt1: build start

      echo >&2; \

      echo >&2 " ERROR: Kernel configuration is invalid."; \

      echo >&2 " include/generated/autoconf.h or

      include/config/auto.conf are missing.";\

      --

        find

      /usr/src/RPM/BUILD/kernel-modules-fglrx-un-def-15.101.1001/fglrx-15.101.1001/2.6.x/.tmp_versions

      -name '*.mod' | xargs -r grep -h '\.ko$' | sort -u | sed 's/\.ko$/.o/' |

      scripts/mod/modpost -m -a -i ./Module.symvers -I

      /usr/src/RPM/BUILD/kernel-modules-fglrx-un-def-15.101.1001/fglrx-15.101.1001/2.6.x/Module.symvers

        -o

      /usr/src/RPM/BUILD/kernel-modules-fglrx-un-def-15.101.1001/fglrx-15.101.1001/2.6.x/Module.symvers

        -w -s -T -

      FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol

      '__static_cpu_has_safe'

      make[2]: *** [__modpost] Error 1

      2015-Jul-05 14:11:59 :: [i586] kernel-modules.git

      sisyphus/kernel-modules-fglrx-un-def-15.101.1001-alt1: remote: build failed

       

      Thus, the kernel module fglrx kernel 4.xx violates the license GPL!

      Distribution ALT Linux Sisyphus

      Bug 1180 – kernel modules build failed